<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8"/>
		<title>FireHack API - WriteFile</title>
		<link rel="stylesheet" type="text/css" href="styles.css"/>
	</head>
	<body>
		<nav class="vertical">
			<ul>
				<li><a href="http://www.fh-wow.com/forums/" style="text-indent: -10px">Return to the Forum</a></li>
				<br/>
				<li class="section">Miscellaneous</li>
				<li><a href="TerminateClient.php">TerminateClient</a></li>
				<li><a href="IsForeground.php">IsForeground</a></li>
				<li><a href="GetKeyState.php">GetKeyState</a></li>
				<li><a href="OpenURL.php">OpenURL</a></li>
				<li><a href="TraceLine.php">TraceLine</a></li>
				<br/>
				<li><a href="Types.php">Types</a></li>
				<br/>
				<li class="section">Spell</li>
				<li><a href="CastAtPosition.php">CastAtPosition</a></li>
				<li><a href="IsAoEPending.php">IsAoEPending</a></li>
				<li><a href="CancelPendingSpell.php">CancelPendingSpell</a></li>
				<br/>
				<li class="section">Object</li>
				<li><a href="ObjectCount.php">ObjectCount</a></li>
				<li><a href="ObjectWithIndex.php">ObjectWithIndex</a></li>
				<br/>
				<li><a href="ObjectField.php">ObjectField</a></li>
				<li><a href="ObjectDescriptor.php">ObjectDescriptor</a></li>
				<li><a href="ObjectPosition.php">ObjectPosition</a></li>
				<li><a href="ObjectFacing.php">ObjectFacing</a></li>
				<li><a href="ObjectType.php">ObjectType</a></li>
				<li><a href="ObjectName.php">ObjectName</a></li>
				<li><a href="ObjectInteract.php">ObjectInteract</a></li>
				<li><a href="ObjectIsType.php">ObjectIsType</a></li>
				<li><a href="ObjectExists.php">ObjectExists</a></li>
				<li><a href="ObjectPointer.php">ObjectPointer</a></li>
				<br/>
				<li><a href="ObjectTypes.php">ObjectTypes</a></li>
				<br/>
				<li class="section">Unit</li>
				<li><a href="UnitMovementFlags.php">UnitMovementFlags</a></li>
				<li><a href="UnitTarget.php">UnitTarget</a></li>
				<li><a href="UnitCombatReach.php">UnitCombatReach</a></li>
				<li><a href="UnitBoundingRadius.php">UnitBoundingRadius</a></li>
				<li><a href="UnitCreator.php">UnitCreator</a></li>
				<br/>
				<li><a href="MovementFlags.php">MovementFlags</a></li>
				<br/>
				<li class="section">Movement</li>
				<li><a href="MoveTo.php">MoveTo</a></li>
				<li><a href="FaceDirection.php">FaceDirection</a></li>
				<li><a href="StopFalling.php">StopFalling</a></li>
				<br/>
				<li class="section">File</li>
				<li><a href="GetDirectoryFiles.php">GetDirectoryFiles</a></li>
				<li><a href="GetSubdirectories.php">GetSubdirectories</a></li>
				<li><a href="ReadFile.php">ReadFile</a></li>
				<li><a href="WriteFile.php">WriteFile</a></li>
				<li><a href="GetFireHackDirectory.php">GetFireHackDirectory</a></li>
				<li><a href="GetWoWDirectory.php">GetWoWDirectory</a></li>
			</ul>
		</nav>

		<section class="content">
			<div class="name">WriteFile</div>
			<div class="type">function</div>
			
			<p>
				<span class="section">Description</span><br/>
				Write a file, overwriting its contents.
			</p>

			<p>
				<span class="section">Arguments</span><br/>
				<span class="argument">Path</span> The path to the file.<br/>
				<span class="argument">Contents</span> The file's new contents.
			</p>
		</section>
	</body>
</html>